[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Results of trying 2.6.7 and 2.6.8 on Macintosh Quadra 650

Geert Uytterhoeven wrote:
On Wed, 25 Aug 2004, Erik C.J. Laan wrote:

For both kernels I needed to set the segment count in the ELF header to
2 using Finn Thain's perl pearl (;-) posted 14/6/2004 to debian-68k.
Otherwise Penguin would fail with a backward seek error.

Are you sure about that? Christian's image for the Amiga I tried during the
weekend didn't need this fix for Amiboot.

And Amiboot does show the backward seek error on images I created myself with a
`new' binutils.

Unfortunately yes I'm sure. First I'd only tried 2.6.7 and received the backward seek error. So I filtered both 2.6.7 and 2.6.8 through Finn perl-script and used those. Afterward I thought what if 2.6.8 wasn't broken to begin with. So I loaded the original 2.6.8 on my Mac partition, tried it and got the error. This is with the 2.6.8 kernel from Christian's site, extracted out of the kernel-image-2.6.8-mac_2.6.8-1_m68k.deb file.

Sorry, Erik
Erik C.J. Laan				elaan at dds.nl
Please reply below the message, please cut unrelevant pieces from a reply.

Reply to: